Name:                   tv-fonts
Version:                1.1
Release:                %mkrel 3
Summary:                Fonts for TV programs (fbtv, motv, ttv, xawtv)
Group:                  System/Fonts/X11 bitmap
License:                GPLv2
URL:                    http://bytesex.org/xawtv

Source0:                %{name}-%{version}.tar.bz2
Patch0:			tv-fonts-Makefile.patch
BuildArch:              noarch
BuildRequires:          bdftopcf
BuildRequires:          mkfontdir
BuildRequires:          mkfontscale
Requires:               mkfontscale
Requires:               mkfontdir

%description
A set of fonts, mainly used by xawtv.

%prep
%setup -q
%apply_patches

%build
# to prevent make doing some xset stuff :
# Geoff -- only unset if DISPLAY is present or it will return 1 and
# build will barf.
[ -n "$DISPLAY" ] && unset DISPLAY
%make

%install
mkdir -p %{buildroot}%{_datadir}/fonts/misc/
install *.gz %{buildroot}%{_datadir}/fonts/misc/

cat <<EOF >> README

Tv-fonts is a set of fonts, mainly used by xawtv.

They used to be bundled with xawtv but starting with version 3.75,
xawtv does not come with the fonts bundled any more. 

So come tv-fonts.

This package is required by xawtv-common
EOF

%files
%doc README
%{_datadir}/fonts/misc

%post
cd %{_datadir}/fonts/misc
%{_prefix}/bin/mkfontdir
if [ -f /var/lock/subsys/xfs ]; then
    service xfs restart || true
fi
test -n "$DISPLAY" && xset fp rehash || true

%postun
if [ "$1" = "0" ]; then
    cd %{_datadir}/fonts/misc
    %{_prefix}/bin/mkfontdir
    if [ -f /var/lock/subsys/xfs ]; then
        service xfs restart || true
    fi
    test -n "$DISPLAY" && xset fp rehash || true
fi



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 384900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 pterjan <pterjan> 1.1-2.mga3
+ Revision: 332732
- Fix group
- Fix parallel build

* Tue Nov 15 2011 barjac <barjac> 1.1-1.mga2
+ Revision: 167956
- imported package tv-fonts

